<?php

if ( ! function_exists( 'calla_elated_add_product_info_shortcode' ) ) {
	function calla_elated_add_product_info_shortcode( $shortcodes_class_name ) {
		$shortcodes = array(
			'CallaCore\CPT\Shortcodes\ProductInfo\ProductInfo',
		);
		
		$shortcodes_class_name = array_merge( $shortcodes_class_name, $shortcodes );
		
		return $shortcodes_class_name;
	}
	
	if ( calla_elated_core_plugin_installed() ) {
		add_filter( 'calla_core_filter_add_vc_shortcode', 'calla_elated_add_product_info_shortcode' );
	}
}

if ( ! function_exists( 'calla_elated_add_product_info_into_shortcodes_list' ) ) {
	function calla_elated_add_product_info_into_shortcodes_list( $woocommerce_shortcodes ) {
		$woocommerce_shortcodes[] = 'eltdf_product_info';
		
		return $woocommerce_shortcodes;
	}
	
	add_filter( 'calla_elated_woocommerce_shortcodes_list', 'calla_elated_add_product_info_into_shortcodes_list' );
}